package com.goldenwater.slaj.eme.service;

import java.util.List;
import com.goldenwater.slaj.eme.domain.BusiInsureEva;

/**
 * 安全生产责任保险评估 服务层
 */
public interface IBusiInsureEvaService {

    /**
     * 查询安全生产责任保险评估
     * @param guid 查询条件
     * @return 安全生产责任保险评估
     */
    BusiInsureEva selectBusiInsureEvaByGuid(String guid);

    /**
     * 查询安全生产责任保险评估列表
     * @param busiInsureEva 查询条件
     * @return 安全生产责任保险评估集合
     */
    List<BusiInsureEva> selectBusiInsureEvaList(BusiInsureEva busiInsureEva);

    /**
     * 新增安全生产责任保险评估
     * @param busiInsureEva 安全生产责任保险评估
     * @return 影响行数
     */
    int insertBusiInsureEva(BusiInsureEva busiInsureEva);

    /**
     * 修改安全生产责任保险评估
     * @param busiInsureEva 安全生产责任保险评估
     * @return 影响行数
     */
    int updateBusiInsureEva(BusiInsureEva busiInsureEva);

    /**
     * 删除安全生产责任保险评估
     * @param guid 主键
     * @return 影响行数
     */
    int deleteBusiInsureEvaByGuid(String guid);

    /**
     * 批量删除安全生产责任保险评估
     * @param guids 主键数组
     * @return 影响行数
     */
    int deleteBusiInsureEvaByGuids(String[] guids);
}
